WordPress.org

Ready to get started?Download WordPress

Forums

How to use the template type editor instead of themes in 1.5 (6 posts)

  1. j0llyr0ger
    Member
    Posted 9 years ago #

    If you have invested some time in creating an index.php file and you don't want to use themes, here's an easy way to make 1.5 work much like 1.2 did in editing templates.

    The wp-admin/templates.php file is still in 1.5 so even if you've done a fresh install, all you have to do to get to a new version of the Templates page from 1.2 is point your browser at http://yoururl/wp-admin/templates.php

    Now, manually typing the url gets old, so what you need to do is edit the wp-admin/menu.php file to add a listing for templates.php.

    Like so:

    $menu[0] = array(__('Dashboard'), 0, 'index.php');
    $menu[5] = array(__('Write'), 1, 'post.php');
    $menu[10] = array(__('Manage'), 1, 'edit.php');
    $menu[20] = array(__('Links'), 5, 'link-manager.php');
    $menu[25] = array(__('Presentation'), 8, 'themes.php');
    $menu[27] = array(__('Templates'), 8, 'templates.php');
    $menu[30] = array(__('Plugins'), 8, 'plugins.php');
    $menu[35] = array(__('Users'), 0, 'profile.php');
    $menu[40] = array(__('Options'), 6, 'options-general.php');

    I have added the line with array item #27 to show the templates.php file in the menu header of the wp-admin/index.php file.

    I thought I'd broken something at first 'cause when I hit 'update file' I got an error about headers already being sent, but after a reload or two it straigtened out and works a treat.

  2. j0llyr0ger
    Member
    Posted 9 years ago #

    Actually, it seems this may not be such a good idea.

    I'm getting errors about headers already being sent all over the place and from a bunch of different files.

    Can anybody tell me what is wrong with what I did?

  3. Why not just convert your v1.2.x template into a v1.5 theme? It's really not that difficult.

    http://codex.wordpress.org/Using_Themes#Moving_from_1.2.x_to_1.5

  4. gvtexas
    Member
    Posted 9 years ago #

    Dang, was hoping this would work. I have a site with multiple index templates and it looks nearly impossible to move to 1.5...but guess I'll have to break it down and make it work through Pages, etc. :-(

  5. j0llyr0ger
    Member
    Posted 9 years ago #

    I don't really have a 1.2 'template' I have a set of stylesheets, a style switcher, and an index.php based on a design migrated from movabletype.

    as seen here: http://r-l-w.net/RLW::UHF/

    I've spent some time getting it set up and although I may convert to the theme system at some point, I'd rather run with what I've already got for now.

    I guess my real question is why did adding one entry to an array goof up all this other stuff and how can I get it to work?I wasn't getting these errors before.

    Does anyone have any insight?

  6. j0llyr0ger
    Member
    Posted 9 years ago #

    Actually, this works just fine.

    I must have goofed up some other file(s) as I was tracking down where the array was deifined. I just re-uploaded the entire wp-admin dir. and then modified only the menu.php file as shown above and everything is marvy.

    I'll look into converting to themes when I have time in the future.

Topic Closed

This topic has been closed to new replies.

About this Topic

Tags

No tags yet.